Bug 671445 - [PATCH] specfile accords to new packaging guidelines
Summary: [PATCH] specfile accords to new packaging guidelines
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: cpanspec
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 14:29 UTC by Marcela Mašláňová
Modified: 2016-11-03 10:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
add epel option (2.78 KB, patch)
2011-01-21 14:29 UTC, Marcela Mašláňová
no flags Details | Diff
incremental support for older RHEL releases (6.45 KB, patch)
2011-01-29 06:34 UTC, Iain Arnell
no flags Details | Diff

Description Marcela Mašláňová 2011-01-21 14:29:49 UTC
Created attachment 474630 [details]
add epel option

This patch should remove things, which are not needed according to new
packaging guidelines and latest rpm eg. defining buildroot. The old
behaviour is available under --epel option.

Comment 1 Ralf Corsepius 2011-01-29 04:45:57 UTC
I think it would be better to add an a general option to specify a distribution's name instead of "one option per distro".

I.e. I'd suggest to use 
--distro=epel-4
--distro=epel-5
--distro=centos-6
--distro=fedora-27
instead of --epel

Otherwise we'd end up with one new option per distro, whenever a the rpm conventions will change.

Comment 2 Iain Arnell 2011-01-29 06:34:35 UTC
Created attachment 475924 [details]
incremental support for older RHEL releases

I liked Steve's suggestion on the list: extend the existing --old option to support "old" and "older" conventions by making it cumulative. That's how my own ~/bin/cpanspec is working. I'd meant to clean it up and submit it a while back but never got around to it.

The attached patch will allow cpanspec to generate specs suitable for f13+ (and el6) by default; using --old will generate specs suitable for older fedora and el4/5; using --old --old generates specs for antique distributions (as the current --old option does).

Comment 3 Marcela Mašláňová 2011-02-01 15:04:03 UTC
(In reply to comment #2)
> Created attachment 475924 [details]
> incremental support for older RHEL releases
> 
> I liked Steve's suggestion on the list: extend the existing --old option to
> support "old" and "older" conventions by making it cumulative. That's how my
> own ~/bin/cpanspec is working. I'd meant to clean it up and submit it a while
> back but never got around to it.
> 
> The attached patch will allow cpanspec to generate specs suitable for f13+ (and
> el6) by default; using --old will generate specs suitable for older fedora and
> el4/5; using --old --old generates specs for antique distributions (as the
> current --old option does).

Nice, your patch looks good. I've tested it.

Comment 4 Fedora End Of Life 2013-04-03 17:41:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora Admin XMLRPC Client 2014-11-10 15:34:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2014-11-10 15:51:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2015-01-09 16:31:16 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Petr Šabata 2015-01-09 17:09:01 UTC
Moving this to Rawhide.

Comment 9 Jason Tibbitts 2016-11-02 23:45:39 UTC
I just had to make a few perl packages and indeed, cpanspec really needs an update.

The big one is that it's missing BuildRequires: perl and perl-generators, which are likely to confuse packagers who aren't familiar with the current rules.  (

The Fedora guidelines have progressed to the point where some things that cpanspec does are now prohibited (with "SHOULD", so their use requires an explanation in the specfile).  Use of BuildRoot:, %defattr in %files, %clean, removal of the buildroot as the first line of %install.  It should use %autosetup and %make_build.

I can probably work up a patch to fix some of these, but as the patch in this ticket hasn't been applied I'm not sure whether there is any desire to see cpanspec catch up with current guidelines.  It's still useful in any case, but not really a good thing for beginners to use.

Comment 10 Petr Šabata 2016-11-03 10:08:58 UTC
I think I'm in favour of diverging from the (extremely slow and unresponsive) upstream in this case.

I don't dare to promise you any specific date but I'll take a look at Iain's patch here and possibly implement other changes to make the tool's output somewhat more current.  The perl/perl-generators BRs is a must at least, yes.


Note You need to log in before you can comment on or make changes to this bug.